#######################################
##            _____ _____            ##
##           | __  | __  |           ##
##           | __ -| __ -|           ##
##           |_____|_____|           ##
##                                   ##
##         Auteur : TiSmA            ##
##         Email : TiSmA@eXolia.fr   ##
##         Licence : GNU / GPL       ##
##                                   ##
#######################################

#--> Type de Forum ( 1=PunBB | 2=phpBB )
set bb(type) "1"

#--> Prefix du Forum ( pun_ | phpbb_ )
set bb(prefix) "pun_"

#--> Host de la base mySQL
set bb(myhost) "127.0.0.1"

#--> Login de la base mySQL
set bb(mylogin) "votre-login"

#--> Mot de passe de la base mySQL
set bb(mypass) "votre-pass"

#--> Nom de la base mySQL
set bb(mybase) "votre-base"

#--> Url du forum
set bb(url) "http://phorum.exolia.net"

#--> Limite d'affichage des messages
set bb(aff) "3"

#--> Affichage Nouveau Post ( 1=oui | 0=non )
set bb(npost) "1"

#--> Affichage Nouveau User ( 1=oui | 0=non )
set bb(nuser) "1"

#--> Type de message salon ( 1=notice | 2=privmsg )
set bb(smess) "2"

#--> Type de message priv ( 1=notice | 2=privmsg )
set bb(pmess) "1"

#--> Prefix des commandes
set bb(cmd) "!"

#--> Salons du robot
set bb(salon) "#salon #salon2 #salon3"

#######################################

#########
# Binds #
#########

bind time - "?0 * * * *" bb:check
bind time - "?5 * * * *" bb:check
bind msg - copyright bb:copyright
bind msg - help bb:help
bind msg - last bb:last
bind msg - showforum bb:showforum
bind msg - top bb:top
bind msg - total bb:total
bind msg - url bb:url
bind msg - version bb:version
bind pub - $bb(cmd)copyright bb:copyright2
bind pub - $bb(cmd)help bb:help2
bind pub - $bb(cmd)last bb:last2
bind pub - $bb(cmd)showforum bb:showforum2
bind pub - $bb(cmd)top bb:top2
bind pub - $bb(cmd)total bb:total2
bind pub - $bb(cmd)url bb:url2
bind pub - $bb(cmd)version bb:version2

#############
# Paquetage #
#############

if {[catch {package require mysqltcl}]} { 
	putlog "Paquetage mysqltcl introuvable." 
	set bb(actif) "0"
}

#############
# Variables #
#############

set bb(version) "1.0"
set bb(actif) "1"
set bb(bot) "$botnick"
set bb(copy) "01BB Tcl $bb(version) by TiSmA03"


################
# Verification #
################

proc bb:verif {} { 
	global bb
	if {$bb(actif)=="1"} {
		return ok
	} else { putlog "Paquetage mysqltcl introuvable."; return 0 }
}

#################
# Message Priv #
#################

proc bb:pmess {} { 
	global bb
	if {$bb(pmess)=="1"} {
		return NOTICE
	} elseif {$bb(pmess)=="2"} { 
		return PRIVMSG
	} else { return NOTICE }
}

#################
# Message Salon #
#################

proc bb:smess {} { 
	global bb
	if {$bb(smess)=="1"} {
		return NOTICE
	} elseif {$bb(smess)=="2"} { 
		return PRIVMSG
	} else { return NOTICE }
}

#########
# Duree #
#########

proc bb:duree {temps} {
	global bb 
	if {[lindex [ctime $temps] 2]=="1"} { set jour "01" }
	if {[lindex [ctime $temps] 2]=="2"} { set jour "02" }
	if {[lindex [ctime $temps] 2]=="3"} { set jour "03" }
	if {[lindex [ctime $temps] 2]=="4"} { set jour "04" }
	if {[lindex [ctime $temps] 2]=="5"} { set jour "05" }
	if {[lindex [ctime $temps] 2]=="6"} { set jour "06" }
	if {[lindex [ctime $temps] 2]=="7"} { set jour "07" }
	if {[lindex [ctime $temps] 2]=="8"} { set jour "08" }
	if {[lindex [ctime $temps] 2]=="9"} { set jour "09" }
	if {[lindex [ctime $temps] 1]=="Jan"} { set mois "01" }
	if {[lindex [ctime $temps] 1]=="Feb"} { set mois "02" }
	if {[lindex [ctime $temps] 1]=="Mar"} { set mois "03" }
	if {[lindex [ctime $temps] 1]=="Apr"} { set mois "04" }
	if {[lindex [ctime $temps] 1]=="May"} { set mois "05" }
	if {[lindex [ctime $temps] 1]=="Jun"} { set mois "06" }
	if {[lindex [ctime $temps] 1]=="Jul"} { set mois "07" }
	if {[lindex [ctime $temps] 1]=="Aug"} { set mois "08" }
	if {[lindex [ctime $temps] 1]=="Sep"} { set mois "09" }
	if {[lindex [ctime $temps] 1]=="Oct"} { set mois "10" }
	if {[lindex [ctime $temps] 1]=="Nov"} { set mois "11" }
	if {[lindex [ctime $temps] 1]=="Dec"} { set mois "12" }
	if {![info exists jour]} { set jour [lindex [ctime $temps] 2] }
	set annee [lindex [ctime $temps] 4]
	set heure [lindex [ctime $temps] 3]
	set post "$jour/$mois/$annee  $heure"
	return $post
}

###################
# Connexion mySQL #
###################

proc bb:connect {} {
	global bb
	set bb(connect) [mysqlconnect -host $bb(myhost) -user $bb(mylogin) -password $bb(mypass)]
	mysqluse $bb(connect) $bb(mybase)
}

#####################
# Deconnexion mySQL #
#####################

proc bb:deconnect {} {
	global bb
	mysqlclose $bb(connect); unset bb(connect)	
}

##################
# Initialisation #
##################

if {$bb(actif)=="1"} {
	bb:connect
	if {$bb(npost)=="1"} {
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -id LIMIT 1"]
			set bb(row) [mysqlnext $bb(query)]; set bb(lastpost) [lindex $bb(row) 0]
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -post_id LIMIT 1"]
			set bb(row) [mysqlnext $bb(query)]; set bb(lastpost) [lindex $bb(row) 0]
			mysqlendquery $bb(query)
		}
	}
	if {$bb(nuser)=="1"} {
		if {$bb(type)=="1"} {
			set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -id LIMIT 1"]
			set bb(row2) [mysqlnext $bb(query2)]; set bb(lastuser) [lindex $bb(row2) 0]
			mysqlendquery $bb(query2)
		}
		if {$bb(type)=="2"} {
			set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -user_id LIMIT 1"]
			set bb(row2) [mysqlnext $bb(query2)]; set bb(lastuser) [lindex $bb(row2) 0]
			mysqlendquery $bb(query2)
		}
	}
	bb:deconnect
}

#########
# Check #
#########

proc bb:check {min h d m y} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	bb:connect
	if {$bb(npost)=="1"} {
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -id LIMIT 1"]
			set bb(row) [mysqlnext $bb(query)]
			if {$bb(lastpost)<[lindex $bb(row) 0]} {
				if {$bb(salon)!=""} {
					set bb(query3) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics WHERE id='[lindex $bb(row) 10]'"]
					set bb(row3) [mysqlnext $bb(query3)]
					set message "03\[01Nouveau Post03\] 01 Date \[04[bb:duree [lindex $bb(row) 7]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row3) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 10]01\]"	
					mysqlendquery $bb(query3)
					foreach salle $bb(salon) { putquick "[bb:smess] $salle :$message" }
				}
				set bb(lastpost) [lindex $bb(row) 0]
			}
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -post_id LIMIT 1"]
			set bb(row) [mysqlnext $bb(query)]
			if {$bb(lastpost)<[lindex $bb(row) 0]} {
				if {$bb(salon)!=""} {
					set bb(query3) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics WHERE topic_id='[lindex $bb(row) 1]'"]
					set bb(row3) [mysqlnext $bb(query3)]
					set bb(query4) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row4) [mysqlnext $bb(query4)]
					set message "03\[01Nouveau Post03\] 01 Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row4) 2]1\]  -  Topic \[02[lindex $bb(row3) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?t=[lindex $bb(row) 1]01\]"	
					mysqlendquery $bb(query3)
					mysqlendquery $bb(query4)
					foreach salle $bb(salon) { putquick "[bb:smess] $salle :$message" }
				}
				set bb(lastpost) [lindex $bb(row) 0]
			}
			mysqlendquery $bb(query)
		}

	}
	if {$bb(nuser)=="1"} {
		if {$bb(type)=="1"} {
			set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -id LIMIT 1"]
			set bb(row2) [mysqlnext $bb(query2)]
			if {$bb(lastuser)<[lindex $bb(row2) 0]} {
				if {$bb(salon)!=""} {
					foreach salle $bb(salon) { 
						putquick "[bb:smess] $salle :03\[01Nouveau Membre03\] 01 Pseudo \[04[lindex $bb(row2) 2]01\]  -  Date d'inscription \[02[bb:duree [lindex $bb(row2) 31]]1\]  -  Url \[03$bb(url)/profile.php?id=[lindex $bb(row2) 0]01\]"				 
					}
				}
				set bb(lastuser) [lindex $bb(row2) 0]
			}
			mysqlendquery $bb(query2)
		}
		if {$bb(type)=="2"} {
			set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -user_id LIMIT 1"]
			set bb(row2) [mysqlnext $bb(query2)]
			if {$bb(lastuser)<[lindex $bb(row2) 0]} {
				if {$bb(salon)!=""} {
					foreach salle $bb(salon) { 
						putquick "[bb:smess] $salle :03\[01Nouveau Membre03\] 01 Pseudo \[04[lindex $bb(row2) 2]01\]  -  Date d'inscription \[02[bb:duree [lindex $bb(row2) 7]]1\]  -  Url \[03$bb(url)/profile.php?mode=viewprofile&u=[lindex $bb(row2) 0]01\]"				 
					}
				}
				set bb(lastuser) [lindex $bb(row2) 0]
			}
			mysqlendquery $bb(query2)
		}
	}
	bb:deconnect
}

########
# Last #
########

proc bb:last {nick host hand arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	set arg [split $arg]
	set type [string tolower [lindex $arg 0]]
	if {$type=="topic"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier topic du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers topics du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 3]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -topic_id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier topic du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers topics du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row2) 2]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?t=[lindex $bb(row) 0]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="post"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier post du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers posts du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics WHERE id='[lindex $bb(row) 10]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 7]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row2) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 10]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Post." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -post_id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier post du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers posts du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics WHERE topic_id='[lindex $bb(row) 1]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					set bb(query3) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row3) [mysqlnext $bb(query3)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row3) 2]1\]  -  Topic \[02[lindex $bb(row2) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 1]01\]"
					mysqlendquery $bb(query3)
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Post." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="user"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier membre du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers membres du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  Date d'inscription \[02[bb:duree [lindex $bb(row) 31]]1\]  -  Url \[03$bb(url)/profile.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -user_id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier membre du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers membres du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  Date d'inscription \[02[bb:duree [lindex $bb(row) 7]]1\]  -  Url \[03$bb(url)/profile.php?mode=viewprofile&u=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} else { putquick "[bb:pmess] $nick :\002Commande Last :\002 /msg $bb(bot) last topic/post/user" }
}

proc bb:last2 {nick host hand chan arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	set arg [split $arg]
	set type [string tolower [lindex $arg 0]]
	if {$type=="topic"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier topic du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers topics du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 3]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -topic_id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier topic du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers topics du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row2) 2]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?t=[lindex $bb(row) 0]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="post"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier post du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers posts du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics WHERE id='[lindex $bb(row) 10]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 7]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row2) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 10]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Post." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)posts ORDER BY -post_id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier post du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers posts du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics WHERE topic_id='[lindex $bb(row) 1]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					set bb(query3) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row3) [mysqlnext $bb(query3)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row3) 2]1\]  -  Topic \[02[lindex $bb(row2) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 1]01\]"
					mysqlendquery $bb(query3)
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Post." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="user"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier membre du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers membres du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  Date d'inscription \[02[bb:duree [lindex $bb(row) 31]]1\]  -  Url \[03$bb(url)/profile.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -user_id LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le dernier membre du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) derniers membres du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  Date d'inscription \[02[bb:duree [lindex $bb(row) 7]]1\]  -  Url \[03$bb(url)/profile.php?mode=viewprofile&u=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} else { putquick "[bb:pmess] $nick :\002Commande Last :\002 $bb(cmd)last topic/post/user" }
}

#######
# Top #
#######

proc bb:top {nick host hand arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	set arg [split $arg]
	set type [string tolower [lindex $arg 0]]
	if {$type=="user"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -num_posts LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le membre le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) membres les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					if {[lindex $bb(row) 29]>"1"} { set rep "Messages" } else { set rep "Message" }
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  $rep \[02[lindex $bb(row) 29]1\]  -  Url \[03$bb(url)/profile.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -user_posts LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le membre le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) membres les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					if {[lindex $bb(row) 9]>"1"} { set rep "Messages" } else { set rep "Message" }
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  $rep \[02[lindex $bb(row) 9]1\]  -  Url \[03$bb(url)/profile.php?mode=viewprofile&u=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="view"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -num_views LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus lu du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus lus du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 3]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -topic_views LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus lu du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus lus du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row2) 2]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?t=[lindex $bb(row) 0]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="topic"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -num_replies LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 3]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -topic_replies LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row2) 2]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?t=[lindex $bb(row) 0]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} else { putquick "[bb:pmess] $nick :\002Commande Top :\002 /msg $bb(bot) top user/topic/view" }
}

proc bb:top2 {nick host hand chan arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	set arg [split $arg]
	set type [string tolower [lindex $arg 0]]
	if {$type=="user"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -num_posts LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le membre le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) membres les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					if {[lindex $bb(row) 29]>"1"} { set rep "Messages" } else { set rep "Message" }
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  $rep \[02[lindex $bb(row) 29]1\]  -  Url \[03$bb(url)/profile.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users ORDER BY -user_posts LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le membre le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) membres les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					if {[lindex $bb(row) 9]>"1"} { set rep "Messages" } else { set rep "Message" }
					putquick "[bb:pmess] $nick :01Pseudo \[04[lindex $bb(row) 2]01\]  -  $rep \[02[lindex $bb(row) 9]1\]  -  Url \[03$bb(url)/profile.php?mode=viewprofile&u=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Membre." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="view"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -num_views LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus lu du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus lus du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 3]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -topic_views LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus lu du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus lus du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row2) 2]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?t=[lindex $bb(row) 0]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} elseif {$type=="topic"} {
		bb:connect
		if {$bb(type)=="1"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -num_replies LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 3]]01\]  -  Auteur \[03[lindex $bb(row) 1]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?id=[lindex $bb(row) 0]01\]"
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		if {$bb(type)=="2"} {
			set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)topics ORDER BY -topic_replies LIMIT $bb(aff)"]
			if {[mysqlresult $bb(query) rows] != 0} {
				if {$bb(aff)=="1"} {
					putquick "[bb:pmess] $nick :03\[01Le topic le plus populaire du forum03\]"
				} else { putquick "[bb:pmess] $nick :03\[01Les $bb(aff) topics les plus populaires du forum03\]" }
				while {[set bb(row) [mysqlnext $bb(query)]] != ""} {
					set bb(query2) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)users WHERE user_id='[lindex $bb(row) 3]'"]
					set bb(row2) [mysqlnext $bb(query2)]
					putquick "[bb:pmess] $nick :01Date \[04[bb:duree [lindex $bb(row) 4]]01\]  -  Auteur \[03[lindex $bb(row2) 2]1\]  -  Topic \[02[lindex $bb(row) 2]1\]  -  Url \[03$bb(url)/viewtopic.php?t=[lindex $bb(row) 0]01\]"
					mysqlendquery $bb(query2)
				}
			} else { putquick "[bb:pmess] $nick :01Aucun Topic." }
			mysqlendquery $bb(query)
		}
		bb:deconnect
	} else { putquick "[bb:pmess] $nick :\002Commande Top :\002 $bb(cmd)top user/topic/view" }
}

#######
# Url #
#######

proc bb:url {nick host hand arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	putquick "[bb:pmess] $nick :03\[01Url du Forum03\] 01 $bb(url)"
}

proc bb:url2 {nick host hand chan arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	putquick "[bb:pmess] $nick :03\[01Url du Forum03\] 01 $bb(url)"
}

#############
# Copyright #
#############

proc bb:copyright {nick host hand arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	putquick "[bb:pmess] $nick :03\[01Copyright03\] 01 $bb(copy)"
}

proc bb:copyright2 {nick host hand chan arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	putquick "[bb:pmess] $nick :03\[01Copyright03\] 01 $bb(copy)"
}

#############
# Showforum #
#############

proc bb:showforum {nick host hand arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	putquick "[bb:pmess] $nick :03\[01Commande BB03\] 02 copyright 04- 02help 04- 02last 04- 02showforum 04- 02top 04- 02total 04- 02url 04- 02version"
}

proc bb:showforum2 {nick host hand chan arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	putquick "[bb:pmess] $nick :03\[01Commande BB03\] 02 copyright 04- 02help 04- 02last 04- 02showforum 04- 02top 04- 02total 04- 02url 04- 02version"
}

###########
# Version #
###########

proc bb:version {nick host hand arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	if {$bb(type)=="1"} { 
		bb:connect
		set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)config WHERE conf_name='o_cur_version'"]
		set bb(row) [mysqlnext $bb(query)]
		putquick "[bb:pmess] $nick :03\[01Version du Forum03\] 01 PunBB [lindex $bb(row) 1]"			
		bb:deconnect
	}
	if {$bb(type)=="2"} { 
		bb:connect
		set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)config WHERE config_name='version'"]
		set bb(row) [mysqlnext $bb(query)]
		putquick "[bb:pmess] $nick :03\[01Version du Forum03\] 01 phpBB 2[lindex $bb(row) 1]"			
		bb:deconnect
	}
}	

proc bb:version2 {nick host hand chan arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	if {$bb(type)=="1"} { 
		bb:connect
		set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)config WHERE conf_name='o_cur_version'"]
		set bb(row) [mysqlnext $bb(query)]
		putquick "[bb:pmess] $nick :03\[01Version du Forum03\] 01 PunBB [lindex $bb(row) 1]"			
		bb:deconnect
	}
	if {$bb(type)=="2"} { 
		bb:connect
		set bb(query) [mysqlquery $bb(connect) "SELECT * FROM $bb(prefix)config WHERE config_name='version'"]
		set bb(row) [mysqlnext $bb(query)]
		putquick "[bb:pmess] $nick :03\[01Version du Forum03\] 01 phpBB 2[lindex $bb(row) 1]"			
		bb:deconnect
	}
}

#########
# Total #
#########

proc bb:total {nick host hand arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	bb:connect
	if {$bb(type)=="1"} {
		set bb(query) [mysqlquery $bb(connect) "SELECT COUNT(id) FROM $bb(prefix)posts"]
		set bb(row) [mysqlnext $bb(query)]
		set post [lindex $bb(row) 0]
		if {$post>"1"} { set posts "Posts" } else { set posts "Post" }
		set bb(query2) [mysqlquery $bb(connect) "SELECT COUNT(id) FROM $bb(prefix)topics"]
		set bb(row2) [mysqlnext $bb(query2)]
		set topic [lindex $bb(row2) 0]
		if {$topic>"1"} { set topics "Topics" } else { set topics "Topic" }
		set bb(query3) [mysqlquery $bb(connect) "SELECT COUNT(id) FROM $bb(prefix)users"]
		set bb(row3) [mysqlnext $bb(query3)]
		set user [expr [lindex $bb(row3) 0]-1]
		if {$user>"1"} { set users "Membres" } else { set users "Membre" }
		putquick "[bb:pmess] $nick :03\[01Total du Forum03\] 01  $users \[04$user01\]  -  $topics \[03$topic1\]  -  $posts \[02$post1\]"			
	}
	if {$bb(type)=="2"} {
		set bb(query) [mysqlquery $bb(connect) "SELECT COUNT(post_id) FROM $bb(prefix)posts"]
		set bb(row) [mysqlnext $bb(query)]
		set post [lindex $bb(row) 0]
		if {$post>"1"} { set posts "Posts" } else { set posts "Post" }
		set bb(query2) [mysqlquery $bb(connect) "SELECT COUNT(topic_id) FROM $bb(prefix)topics"]
		set bb(row2) [mysqlnext $bb(query2)]
		set topic [lindex $bb(row2) 0]
		if {$topic>"1"} { set topics "Topics" } else { set topics "Topic" }
		set bb(query3) [mysqlquery $bb(connect) "SELECT COUNT(user_id) FROM $bb(prefix)users"]
		set bb(row3) [mysqlnext $bb(query3)]
		set user [expr [lindex $bb(row3) 0]-1]
		if {$user>"1"} { set users "Membres" } else { set users "Membre" }
		putquick "[bb:pmess] $nick :03\[01Total du Forum03\] 01  $users \[04$user01\]  -  $topics \[03$topic1\]  -  $posts \[02$post1\]"			
	}
	bb:deconnect
}	

proc bb:total2 {nick host hand chan arg} {
	global bb
	if {[bb:verif]!="ok"} { return 0 }
	bb:connect
	if {$bb(type)=="1"} {
		set bb(query) [mysqlquery $bb(connect) "SELECT COUNT(id) FROM $bb(prefix)posts"]
		set bb(row) [mysqlnext $bb(query)]
		set post [lindex $bb(row) 0]
		if {$post>"1"} { set posts "Posts" } else { set posts "Post" }
		set bb(query2) [mysqlquery $bb(connect) "SELECT COUNT(id) FROM $bb(prefix)topics"]
		set bb(row2) [mysqlnext $bb(query2)]
		set topic [lindex $bb(row2) 0]
		if {$topic>"1"} { set topics "Topics" } else { set topics "Topic" }
		set bb(query3) [mysqlquery $bb(connect) "SELECT COUNT(id) FROM $bb(prefix)users"]
		set bb(row3) [mysqlnext $bb(query3)]
		set user [expr [lindex $bb(row3) 0]-1]
		if {$user>"1"} { set users "Membres" } else { set users "Membre" }
		putquick "[bb:pmess] $nick :03\[01Total du Forum03\] 01  $users \[04$user01\]  -  $topics \[03$topic1\]  -  $posts \[02$post1\]"			
	}
	if {$bb(type)=="2"} {
		set bb(query) [mysqlquery $bb(connect) "SELECT COUNT(post_id) FROM $bb(prefix)posts"]
		set bb(row) [mysqlnext $bb(query)]
		set post [lindex $bb(row) 0]
		if {$post>"1"} { set posts "Posts" } else { set posts "Post" }
		set bb(query2) [mysqlquery $bb(connect) "SELECT COUNT(topic_id) FROM $bb(prefix)topics"]
		set bb(row2) [mysqlnext $bb(query2)]
		set topic [lindex $bb(row2) 0]
		if {$topic>"1"} { set topics "Topics" } else { set topics "Topic" }
		set bb(query3) [mysqlquery $bb(connect) "SELECT COUNT(user_id) FROM $bb(prefix)users"]
		set bb(row3) [mysqlnext $bb(query3)]
		set user [expr [lindex $bb(row3) 0]-1]
		if {$user>"1"} { set users "Membres" } else { set users "Membre" }
		putquick "[bb:pmess] $nick :03\[01Total du Forum03\] 01  $users \[04$user01\]  -  $topics \[03$topic1\]  -  $posts \[02$post1\]"			
	}
	bb:deconnect
}

########
# Help #
########

proc bb:help {nick host hand arg} {
	global bb
	set arg [split $arg]
	set aide [string tolower [lindex $arg 0]]
	if {[bb:verif]!="ok"} { return 0 }
	if {$aide=="copyright"} {
		putquick "[bb:pmess] $nick :\002Commande Copyright :\002 /msg $bb(bot) copyright"
		putquick "[bb:pmess] $nick :Permet de voir l'auteur de BB Tcl."			
	} elseif {$aide=="help"} {
		putquick "[bb:pmess] $nick :\002Commande Help :\002 /msg $bb(bot) help commande"
		putquick "[bb:pmess] $nick :Permet de voir l'aide dtaille de la commande."	
	} elseif {$aide=="last"} {
		putquick "[bb:pmess] $nick :\002Commande Last :\002 /msg $bb(bot) last topic/post/user"
		putquick "[bb:pmess] $nick :Permet de voir les derniers topics, posts et membres."
	} elseif {$aide=="showforum"} {
		putquick "[bb:pmess] $nick :\002Commande Showforum :\002 /msg $bb(bot) showforum"
		putquick "[bb:pmess] $nick :Permet de voir la liste des commandes."
	} elseif {$aide=="top"} {
		putquick "[bb:pmess] $nick :\002Commande Top :\002 /msg $bb(bot) top user/topic/view"
		putquick "[bb:pmess] $nick :Permet de voir les membres, topics et lectures les plus populaires."
	} elseif {$aide=="total"} {
		putquick "[bb:pmess] $nick :\002Commande Total :\002 /msg $bb(bot) total"
		putquick "[bb:pmess] $nick :Permet de voir les stats du forum."
	} elseif {$aide=="url"} {
		putquick "[bb:pmess] $nick :\002Commande Url :\002 /msg $bb(bot) url"
		putquick "[bb:pmess] $nick :Permet de voir l'url du forum."
	} elseif {$aide=="version"} {
		putquick "[bb:pmess] $nick :\002Commande Version :\002 /msg $bb(bot) version"
		putquick "[bb:pmess] $nick :Permet de voir la version du forum."
	} else {
		putquick "[bb:pmess] $nick :\002Commande Help :\002 /msg $bb(bot) help commande"
		putquick "[bb:pmess] $nick :Permet de voir l'aide dtaille de la commande."
	}	
}

proc bb:help2 {nick host hand chan arg} {
	global bb
	set arg [split $arg]
	set aide [string tolower [lindex $arg 0]]
	if {[bb:verif]!="ok"} { return 0 }
	if {$aide=="copyright"} {
		putquick "[bb:pmess] $nick :\002Commande Copyright :\002 $bb(cmd)copyright"
		putquick "[bb:pmess] $nick :Permet de voir l'auteur de BB Tcl."			
	} elseif {$aide=="help"} {
		putquick "[bb:pmess] $nick :\002Commande Help :\002 $bb(cmd)help commande"
		putquick "[bb:pmess] $nick :Permet de voir l'aide dtaille de la commande."	
	} elseif {$aide=="last"} {
		putquick "[bb:pmess] $nick :\002Commande Last :\002 $bb(cmd)last topic/post/user"
		putquick "[bb:pmess] $nick :Permet de voir les derniers topics, posts et membres."
	} elseif {$aide=="showforum"} {
		putquick "[bb:pmess] $nick :\002Commande Showforum :\002 $bb(cmd)showforum"
		putquick "[bb:pmess] $nick :Permet de voir la liste des commandes."
	} elseif {$aide=="top"} {
		putquick "[bb:pmess] $nick :\002Commande Top :\002 $bb(cmd)top user/topic/view"
		putquick "[bb:pmess] $nick :Permet de voir les membres, topics et lectures les plus populaires."
	} elseif {$aide=="total"} {
		putquick "[bb:pmess] $nick :\002Commande Total :\002 $bb(cmd)total"
		putquick "[bb:pmess] $nick :Permet de voir les stats du forum."
	} elseif {$aide=="url"} {
		putquick "[bb:pmess] $nick :\002Commande Url :\002 $bb(cmd)url"
		putquick "[bb:pmess] $nick :Permet de voir l'url du forum."
	} elseif {$aide=="version"} {
		putquick "[bb:pmess] $nick :\002Commande Version :\002 $bb(cmd)version"
		putquick "[bb:pmess] $nick :Permet de voir la version du forum."
	} else {
		putquick "[bb:pmess] $nick :\002Commande Help :\002 $bb(cmd)help commande"
		putquick "[bb:pmess] $nick :Permet de voir l'aide dtaille de la commande."
	}	
}
